> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dados.rio/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Config By Id

> Obtém uma configuração específica pelo ID.



## OpenAPI

````yaml https://services.staging.app.dados.rio/eai-agent/openapi.json get /api/v1/agent-config/by-id/{config_id}
openapi: 3.1.0
info:
  title: Agentic Search API
  description: >-
    API que gerencia os fluxos e ferramentas dos agentes de IA da Prefeitura do
    Rio de Janeiro
  version: 0.1.0
servers:
  - url: https://services.staging.app.dados.rio/eai-agent
    description: Staging
security: []
paths:
  /api/v1/agent-config/by-id/{config_id}:
    get:
      tags:
        - Agent Config
      summary: Get Agent Config By Id
      description: Obtém uma configuração específica pelo ID.
      operationId: get_agent_config_by_id_api_v1_agent_config_by_id__config_id__get
      parameters:
        - name: config_id
          in: path
          required: true
          schema:
            type: string
            title: Config Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentConfigGetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentConfigGetResponse:
      properties:
        config_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Config Id
        agent_type:
          type: string
          title: Agent Type
        version:
          anyOf:
            - type: integer
            - type: 'null'
          title: Version
        memory_blocks:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Memory Blocks
        tools:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Tools
        model_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Model Name
        embedding_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Name
        created_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Created At
      type: object
      required:
        - config_id
        - agent_type
        - version
        - memory_blocks
        - tools
        - model_name
        - embedding_name
        - created_at
      title: AgentConfigGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````